# Class TracePlotter.QJoin

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.TracePlotter.QJoin

Enclosing class:
  `TracePlotter`

public abstract static class TracePlotter.QJoin extends Object
Defines the graphial style for joining sparse samples.

Since:
  9 Dec 2016
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TracePlotter.QJoin`
`LINES`
`static final TracePlotter.QJoin`
`NO_JOIN`
No graphical elements between samples.
`static final TracePlotter.QJoin[]`
`OPTIONS`
All available options.
`static final TracePlotter.QJoin`
`POLYGON`
Fill between upper and lower quantiles all along.

## Constructor Summary

Constructors
Constructor
Description
`QJoin(String name, String description)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`paintTrace(uk.ac.starlink.ttools.plot2.layer.TracePlotter.QRange[] ranges, TracePlotter.TraceStyle style, Graphics g)`
Paints graphics representing a set of quantile pairs.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_JOIN

public static final TracePlotter.QJoin NO_JOIN
No graphical elements between samples.

### POLYGON

public static final TracePlotter.QJoin POLYGON
Fill between upper and lower quantiles all along.

### LINES

public static final TracePlotter.QJoin LINES

### OPTIONS

public static final TracePlotter.QJoin[] OPTIONS
All available options.

## Constructor Details

### QJoin

public QJoin(String name, String description)
Constructor.

Parameters:
  `name` - option name
  `description` - option description in XML

## Method Details

### paintTrace

public abstract void paintTrace(uk.ac.starlink.ttools.plot2.layer.TracePlotter.QRange[] ranges, TracePlotter.TraceStyle style, Graphics g)
Paints graphics representing a set of quantile pairs.

Parameters:
  `ranges` - quantile pair data
  `style` - plot style
  `g` - graphics context for output

### toString

public String toString()

Overrides:
  `toString` in class `Object`